Bug 467414 - (mingw32-gnutls) Review Request: mingw32-gnutls - MinGW Windows GnuTLS TLS/SSL encryption library
Review Request: mingw32-gnutls - MinGW Windows GnuTLS TLS/SSL encryption library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 454410 454416 mingw32-iconv mingw32-gettext mingw32-libgpg-error mingw32-libgcrypt
Blocks: mingw32-libvirt mingw32-gtk-vnc
  Show dependency treegraph
 
Reported: 2008-10-17 07:27 EDT by Richard W.M. Jones
Modified: 2009-03-09 18:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.6.4-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 07:27:00 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=ea00554abe8421a9f5fb4506c9e6b35983a9005e;path=/gnutls/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-gnutls-2.4.2-2.fc9.src.rpm
Description: MinGW Windows GnuTLS TLS/SSL encryption library

Approved packaging guidelines for MinGW are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 2 Richard W.M. Jones 2009-01-25 08:17:52 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/gnutls/mingw32-gnutls.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-gnutls-2.6.3-2.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-1
- Rebase to native Fedora version 2.6.3.
- Enable C++ library.
- Use find_lang macro.
- Don't build static library.
- Rebase MinGW patch to 2.6.3.
- +BR mingw32-dlfcn.
- +BR mingw32-readline.
- Force rebuild of libtool.
Comment 3 Tom "spot" Callaway 2009-03-06 15:14:29 EST
Review done on:

http://homes.merjis.com/~rich/mingw/fedora-rawhide/src/SRPMS/mingw32-gnutls-2.6.3-5.fc11.src.rpm

You should be sure to update this to 2.6.4 before you commit to rawhide.

== REVIEW ==

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets MinGW packaging guidelines
- same patch and configure opts as normal package
- license (GPLv3+ and LGPLv2+) OK, text in %doc, matches source
- spec file legible, in am. english
- modified tarball okay
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales handled properly
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

It feels odd for these packages to not have proper -devel packages, but I suppose that is just how MinGW is.

APPROVED.
Comment 4 Richard W.M. Jones 2009-03-09 11:46:05 EDT
Thanks for reviewing this.  I will prepare a 2.6.4 package before
uploading (in fact, now).
Comment 5 Richard W.M. Jones 2009-03-09 11:47:54 EDT
New Package CVS Request
=======================
Package Name: mingw32-gnutls
Short Description: MinGW GnuTLS TLS/SSL encryption library
Owners: rjones berrange
Branches: F-10 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2009-03-09 12:01:24 EDT
cvs done.
Comment 7 Fedora Update System 2009-03-09 14:39:01 EDT
mingw32-gnutls-2.6.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-gnutls-2.6.4-1.fc10
Comment 8 Fedora Update System 2009-03-09 18:53:29 EDT
mingw32-gnutls-2.6.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.